package com.capgemini.framework.teamcenter.queries.saved.modelobject;

import com.capgemini.framework.teamcenter.authent.TcSession;
import com.teamcenter.soa.client.model.strong.Item;

/** Searches an Item. */
public class ItemQuery extends AbstractModelObjectQuery<Item, ItemQuery> {

    private static final String QUERY_NAME_SUFFIX = "Item";

    /**
     * Creates a request for Tc to return an Item.
     * 
     * @param session an active session
     */
    public ItemQuery(final TcSession session) {
        super(session, QUERY_NAME_SUFFIX);
    }

    @Override
    protected ItemQuery selfCast() {
        return this;
    }

}
